Download it now!
Bug 33012 - FILEOPEN of an .rtf file systematic error
Summary: FILEOPEN of an .rtf file systematic error
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.0 RC2
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-11 22:38 UTC by papreg.pays
Modified: 2012-03-17 15:50 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
example of .rtf file that crashes LibreOffice at opening (28.17 KB, application/rtf)
2011-01-13 09:50 UTC, papreg.pays
Details

Note You need to log in before you can comment on or make changes to this bug.
Description papreg.pays 2011-01-11 22:38:14 UTC
Everytime I try to open .rtf Files generated by Geneatique2011 (a genealogy management program)the opening process start but does not complete. 
A windows appears with the message in french sayiing approximately "LibreOffice stoped because of an unexpected error".

BTW: same behaviour with OpenOffice.

Please find attached a file which enables to reproduce the problem.

Cheers (an thanks for the LibreOffice fork and initiative)
Comment 1 papreg.pays 2011-01-11 22:43:38 UTC
The .rtf file may not respect .rtf specifications, but what deserves a fix is LibreOffice Crasch at FILEOPEN. A "non conformant .rtf file" message may perfectly be acceptable (if appropriate; ie. .rtf non conformance)
Comment 2 Kohei Yoshida 2011-01-12 06:39:22 UTC
Hello,

It's important that you attach a test rtf document that crashes LibreOffice upon opening in order for us to debug this problem.

Could you attach a sample document?  Thanks!
Comment 3 papreg.pays 2011-01-13 09:50:38 UTC
Created attachment 41977 [details]
example of .rtf file that crashes LibreOffice at opening

The previous attachment of test files were larger than 1 Meg that why they were not attached to the bug report. Sorry. 
This one is just a small one page file.

As said previously, it may occur that the attached file is not .rtf conformant (it was generated by an application name Geneatique2011) but in that case a message stating something like "non conformant .rtf file" would be better than a crash. All .rtf files generated by this application exhibit the same behaviour of LobreOffice

BTW: OpenOffice 3.2 presents the same bug
Comment 4 Caolán McNamara 2011-07-08 14:52:43 UTC
rtf filter itself doesn't crash, layout crashes on a divide by 0 error. Here lets just tackle the immediate issue of the crash and put aside the quality/fidelity of the rtf import itself.

fixed with http://cgit.freedesktop.org/libreoffice/writer/commit/?id=4a698ffcf5756b7a6e8a2d583b530951fdeba4db
Comment 5 papreg.pays 2011-07-08 23:31:13 UTC
Thanks a lot
Comment 6 Jean-Baptiste Faure 2012-03-17 15:50:27 UTC
LO 3.4.5 crashes when opening this file, LO 3.3.4 too, but LO 3.5 (3.5.1 and 3.5.2 rc0+) does not crash anymore.
There is another bug with this file as a part of the data, visible in Abiword, Wordpad, and very shortly in LO 3.4.5 (before the crash), are not shown by LO 3.5. But that's another bug and I do not know if this bug is already filed.

Closing the bug related to the crash. Please feel free to reopen if needed.

Best regards. JBF